Summary: Gnome user file sharing
Name: gnome-user-share
Version: 0.10
Release: 6%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.gnome.org
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: httpd >= 2.2.0
BuildRequires: GConf2-devel avahi-glib-devel >= 0.6 pkgconfig
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: httpd >= 2.2.0
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: desktop-file-utils
BuildRequires: libselinux-devel
BuildRequires: gettext
BuildRequires: perl-XML-Parser
Prereq: GConf2
Patch0: gnome-user-share-0.10-add-gettext-foo.patch

%description
gnome-user-share 

%prep
%setup -q
%patch0 -p1 -b .add-gettext-foo

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			        \
  --add-only-show-in GNOME                                              \
  --add-category X-Red-Hat-Base                                         \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang gnome-user-share

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="desktop_gnome_file_sharing.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f gnome-user-share.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/gnome-user-share
%{_datadir}/applications/*
%{_sysconfdir}/gconf/schemas/*

%changelog
* Wed Dec 06 2006 Ray Strode <rstrode@redhat.com> - 0.10-6
Resolves: bug 216577
- fix translations in file properties dialog

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.10-5
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Nalin Dahyabhai <nalin@redhat.com> - 0.10-4
- add missing BuildRequires: on httpd, so that the configure script can find
  the binary

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.10-3.1
- rebuild

* Mon May 29 2006 Alexander Larsson <alexl@redhat.com> - 0.10-3
- buildrequire gettext and perl-XML-Parser (#193391)

* Thu Apr 20 2006 Matthias Clasen <mclasen@redhat.com> 0.10-2
- Update to 0.10

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 0.9-3
- BuildRequires: gtk2-devel, libglade2-devel, libselinux-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb  3 2006 Alexander Larsson <alexl@redhat.com> 0.9-2
- Patch config for apache 2.2

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Alexander Larsson <alexl@redhat.com> - 0.9-1
- New release with avahi 0.6 support

* Mon Nov 14 2005 Alexander Larsson <alexl@redhat.com> - 0.8-1
- update to 0.8

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.7-1
- New version, with desktop file

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.6-1
- New version, switch to avahi
- Handle translations

* Fri Dec  3 2004 Alexander Larsson <alexl@redhat.com> - 0.4-1
- New version

* Fri Nov 26 2004 Alexander Larsson <alexl@redhat.com> - 0.3-1
- New version

* Thu Sep  9 2004 Alexander Larsson <alexl@redhat.com> - 0.2-1
- New version

* Wed Sep  8 2004 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial Build

